Skip to main content
`Ctrl`+`K`

# NEPNLEIGSGetRKShifts

Gets the list of shifts used in the Rational Krylov method.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetRKShifts(NEP nep,PetscInt *ns,PetscScalar *shifts[]) PeNS

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- ns - number of shifts

- shifts - array of shifts

## Note

The user is responsible for deallocating the returned array.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSSetRKShifts()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs.c

## Implementations

NEPNLEIGSGetRKShifts_NLEIGS() in src/nep/impls/nleigs/nleigs.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages